#include <bits/stdc++.h>

using namespace std;

bool postoji(int n, int m)
{
    long long a[n], b[m], x;
    for(int i = 0; i < n; i++)
    {
        cin >> a[i];
    }
    for(int i = 0; i < m; i++)
    {
        cin >> b[i];
    }

    sort(a, a+n);
    x = a[1] - a[0];
    for(int i = 2; i < n; i++)
    {
        long long k = a[i] - a[i-1];
        if(k < x) x = k;
    }

    long long k = a[0] % x;
    for(int i = 0; i < m; i++)
    {
        if (b[i] % x == k) return false;
    }

    return true;
}

int main()
{
    int t;
    cin >> t;
    for (int i = 0; i < t; i++)
    {
        int n, m;
        cin >> n;
        cin >> m;
    }
}